NX Open C++ Reference Guide
Public Types | Public Member Functions | List of all members
NXOpen::GeometricUtilities::CircularFrameBuilder Class Reference

Represents a NXOpen::GeometricUtilities::CircularFrameBuilder. More...

Inheritance diagram for NXOpen::GeometricUtilities::CircularFrameBuilder:
NXOpen::GeometricUtilities::ShapeFrameBuilder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Types

enum  Subtypes { SubtypesArbitrary, SubtypesHalf, SubtypesQuarter, SubtypesFull }
 Represents the circular frame subtypes. More...
 
- Public Types inherited from NXOpen::GeometricUtilities::ShapeFrameBuilder
enum  AnchorAttachmentType {
  AnchorAttachmentTypeNone, AnchorAttachmentTypeCenter, AnchorAttachmentTypeVertex1, AnchorAttachmentTypeVertex2,
  AnchorAttachmentTypeVertex3, AnchorAttachmentTypeVertex4
}
 Represents the anchor attachment type. More...
 

Public Member Functions

double GetAngle (int index)
 Gets the i-th angle of the circular frame. More...
 
double GetRadius (int index)
 Gets the i-th radius of the circular frame. More...
 
void SetAngle (int index, double angle)
 Sets the i-th angle of the circular frame
Created in NX6.0.0. More...
 
void SetRadius (int index, double radius)
 Sets the i-th radius of the circular frame
Created in NX6.0.0. More...
 
void SetSubtype (NXOpen::GeometricUtilities::CircularFrameBuilder::Subtypes subtype)
 Sets the subtype
Created in NX6.0.0. More...
 
NXOpen::GeometricUtilities::CircularFrameBuilder::Subtypes Subtype ()
 Returns the subtype
Created in NX6.0.0. More...
 
- Public Member Functions inherited from NXOpen::GeometricUtilities::ShapeFrameBuilder
NXOpen::GeometricUtilities::AnchorLocatorBuilderAnchor ()
 Returns the anchor of the frame
Created in NX6.0.0. More...
 
NXOpen::GeometricUtilities::ShapeFrameBuilder::AnchorAttachmentType AnchorAttachment ()
 Returns the anchor attachment
Created in NX6.0.0. More...
 
NXOpen::Point2d GetMidpointCoords (int index)
 Gets the coordinates of the i-th midpoint of the frame with respect to the plane. More...
 
NXOpen::Point2d GetVertexCoords (int index)
 Gets the coordinates of the i-th vertex of the frame with respect to the plane. More...
 
int NumberVertices ()
 Returns the number of vertices of the frame
Created in NX6.0.0. More...
 
void SetAnchorAttachment (NXOpen::GeometricUtilities::ShapeFrameBuilder::AnchorAttachmentType anchorAttachment)
 Sets the anchor attachment
Created in NX6.0.0. More...
 
void SetMidpointCoords (int index, const NXOpen::Point2d &coords)
 Sets the coordinates of the i-th midpoint of the frame with respect to the plane
Created in NX6.0.0. More...
 
void SetVertexCoords (int index, const NXOpen::Point2d &coords)
 Sets the coordinates of the i-th vertex of the frame with respect to the plane
Created in NX6.0.0. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Represents a NXOpen::GeometricUtilities::CircularFrameBuilder.


Created in NX6.0.0.

Member Enumeration Documentation

Represents the circular frame subtypes.

Enumerator
SubtypesArbitrary 

Arbitrary circle.

SubtypesHalf 

Half circle.

SubtypesQuarter 

Quarter circle.

SubtypesFull 

Full circle.

Member Function Documentation

double NXOpen::GeometricUtilities::CircularFrameBuilder::GetAngle ( int  index)

Gets the i-th angle of the circular frame.

Returns
angle
Created in NX6.0.0.

License requirements : None
Parameters
indexindex of angle
double NXOpen::GeometricUtilities::CircularFrameBuilder::GetRadius ( int  index)

Gets the i-th radius of the circular frame.

Returns
radius
Created in NX6.0.0.

License requirements : None
Parameters
indexindex of radius
void NXOpen::GeometricUtilities::CircularFrameBuilder::SetAngle ( int  index,
double  angle 
)

Sets the i-th angle of the circular frame
Created in NX6.0.0.



License requirements : None

Parameters
indexindex of angle
angleangle
void NXOpen::GeometricUtilities::CircularFrameBuilder::SetRadius ( int  index,
double  radius 
)

Sets the i-th radius of the circular frame
Created in NX6.0.0.



License requirements : None

Parameters
indexindex of radius
radiusradius
void NXOpen::GeometricUtilities::CircularFrameBuilder::SetSubtype ( NXOpen::GeometricUtilities::CircularFrameBuilder::Subtypes  subtype)

Sets the subtype
Created in NX6.0.0.



License requirements : None

Parameters
subtypesubtype
NXOpen::GeometricUtilities::CircularFrameBuilder::Subtypes NXOpen::GeometricUtilities::CircularFrameBuilder::Subtype ( )

Returns the subtype
Created in NX6.0.0.



License requirements : None


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.